# Docdeployer

Usage:
```yml
steps:
  - name: swagger-doc
    image: hub.codefirst.iut.uca.fr/maxime.batista/codefirst-docdeployer
    commands:
      - /entrypoint.sh <arguments>
```

## `entrypoint.sh`

This command generates the documentation and deploys it on your CodeDoc space

### arguments

- `-d --dir [dir]` path to the documentation root - **required**
- `-t --type [docusaurus|doxygen|swagger]` type of documentation generator to use. - **required**
- `-l --dest [dir]` path to where to put the documentation outputs in your repository's CodeDoc space - **optional <u>!! cannot be absolute !!</u>**

usage examples :

```
/entrypoint.sh -d ./documentation/api -t swagger -l api_documentation
/entrypoint.sh -d ./documentation/app -t docusaurus -l application_documentation
/entrypoint.sh -d ./src -t doxygen -l sourcecode_documentation 
```

